from django.urls import path, include

from .views import home, CustomerListView, CustomerDetailView, CustomerUpdateView, CustomerDeleteView, CustomerRestoreView, CustomerBulkActionView, CustomerBulkUndoView, CustomerUndoView

urlpatterns = [
    path("", home, name="home"),
    path("customers/", CustomerListView.as_view(), name="customer-list"),
    path('customers/<uuid:pk>/', CustomerDetailView.as_view(), name='customer_detail'),
    path('customer/<uuid:pk>/edit/', CustomerUpdateView.as_view(), name='customer_edit'),
    path('customer/<uuid:pk>/delete/', CustomerDeleteView.as_view(), name='customer_delete'),
    path('customer/<uuid:pk>/restore/', CustomerRestoreView.as_view(), name='customer_restore'),
    path('customers/bulk-action/', CustomerBulkActionView.as_view(), name='customer_bulk_action'),
    path('customers/bulk-undo/', CustomerBulkUndoView.as_view(), name='customer_bulk_undo'),
    path('customer/undo/', CustomerUndoView.as_view(), name='customer_undo'),
    path('opportunities/', include('core.opportunity_urls', namespace='opportunities')),
]